#version 400
/*
uniform vec2        ScreenSize;             // 

out vec4            FragColor;              // 
in vec2             TexCoords;              // 
uniform sampler2D   ls_texture;             // 
                                               
uniform vec4        ls_color;               // 
uniform float       ls_radius;              // 
uniform int         ls_intensity;           // 
uniform vec2        ls_texturesize;         // 
uniform vec2        ls_objectCenter;        // 

void main()
{
    // the position of the pixel on the screen
    vec2 light_globalPosition  = gl_FragCoord.xy;


    vec2 position = vec2(gl_FragCoord.x / ls_texturesize.x, gl_FragCoord.y / ls_texturesize.y);
    position.x = clamp(position.x, 0.0, 1.0);
    position.y = clamp(position.y, 0.0, 1.0);


    vec4 texColor = texture(ls_texture, position.xy);


    float localDistance = distance(ls_objectCenter, gl_FragCoord.xy);
    float alphaFade = 1 - (ls_intensity * (ls_radius - localDistance) / ls_radius);
    
    float alpha = min(texColor.a, alphaFade);

    if (light_globalPosition.x <= 0 || light_globalPosition.x >= ScreenSize.x || light_globalPosition.y <= 0 || light_globalPosition.y >= ScreenSize.y)
    {
        FragColor = vec4(0.0, 0.0, 0.0, 0.0);
    }
    else
    {
        FragColor = vec4(texColor.rgb, alpha);
    }
}
*/